Subject: Offline Message from Alaa bakr: Hi, I am Alaa From Ego Pharmaceuticals. I wo
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 06 Jul 2020 10:03:52 -0000

From: Alaa bakr <[email-masked]>
Phone: 
Location: Kuwait City, Kuwait
URL: https://www.mumzworld.com/en/contact-us/
Department: 

Hi, 
I am Alaa From Ego Pharmaceuticals. I would like to contact the management team or the person in charge to start working together. We would like to add QV Brand and work together. Please i also need to know this will be base in kuwait or UAE ? 

Thank you  

----
Zopim
https://www.zopim.com